### Method

# Meta Display xserver_time_is_before

#### Declaration [src]

    gboolean
    meta_display_xserver_time_is_before (
      MetaDisplay* display,
      guint32 time1,
      guint32 time2
    )

#### Description [src]

Xserver time can wraparound, thus comparing two timestamps needs to take this into account. If no wraparound has occurred, this is equivalent to time1 < time2 Otherwise, we need to account for the fact that wraparound can occur and the fact that a timestamp of 0 must be special-cased since it means “older than anything else”.

Note that this is NOT an equivalent for time1 <= time2; if that’s what you need then you’ll need to swap the order of the arguments and negate the result.

#### Parameters

`time1`

  Type: `guint32`

  An event timestamp.

`time2`

  Type: `guint32`

  An event timestamp.

#### Return value

Type: `gboolean`

No description available.